<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-create-join-org-card title="Create or join an organisation" [wide]="false">
  <div class="flex flex-col items-center">
    <div class="text-text-300">You have successfully logged in as:</div>
    <div *ngIf="(user$ | async); let user" class="flex items-center gap-4 font-semibold text-lg mt-10">
      <i class="fa fa-user" style="font-size: 2rem"></i>
      <div>{{ user.givenName }} {{ user.familyName }}</div>
    </div>
    <div class="mt-10 text-text-300 w-96">Each user has to be part of an organisation. To become a member of an organisation:</div>
  </div>
  <div class="pb-20 flex flex-col gap-6 items-center mt-10">
    <div class="text-text-500 font-semibold w-80">Check your e-mail if you received an invitation to join existing organisation</div>
    <p-button [text]="true" label="Use invitation code" routerLink="/onboarding/organisation/join"></p-button>
    <div class="w-40">
      <app-divider></app-divider>
    </div>
    <p-button [text]="true" label="Create a new organisation" routerLink="/onboarding/organisation/create"></p-button>
  </div>
</app-create-join-org-card>
